<?php
/**
 * 2007-2014 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * No redistribute in other sites, or copy.
 *
 * @author    shacker RSI
 * @copyright 2007-2015 RSI
 * @license   http://catalogo-onlinersi.net
 */

class ExtraManufacturer extends Module
{
	private $_html = '';
	private $_postErrors = array();

	public function __construct()
	{
		$this->name = 'extramanufacturer';
		if (_PS_VERSION_ < '1.4.0.0')

			$this->tab = 'Tools';
		if (_PS_VERSION_ > '1.4.0.0')
		{
			$this->tab           = 'front_office_features';
			$this->author        = 'RSI';
			$this->need_instance = 1;
		}

	if (_PS_VERSION_ > '1.6.0.0')
			$this->bootstrap = true;
		$this->version = '3.0.0';

		parent::__construct();

		$this->displayName = $this->l('Extra manufacturer/supplier');
		$this->description = $this->l('www.catalogo-onlinersi.net');
		if (_PS_VERSION_ < '1.5')
			require(_PS_MODULE_DIR_.$this->name.'/backward_compatibility/backward.php');
	}

	public function install()
	{
		if (_PS_VERSION_ < '1.6.0.0')
		{
			if (!Configuration::updateValue('EXTRAMANUFACTURER_SI', '1') || !parent::install() || !$this->registerHook('extraRight') || !$this->registerHook('header'))
				return false;
		}
		if (_PS_VERSION_ > '1.6.0.0' && _PS_VERSION_ < "1.7.0.0")
		{
			if (!Configuration::updateValue('EXTRAMANUFACTURER_SI', '1') || !parent::install() || !$this->registerHook('displayLeftColumnProduct') || !$this->registerHook('header'))
				return false;
		}
		if (_PS_VERSION_ > '1.7.0.0')
		{
			if (!Configuration::updateValue('EXTRAMANUFACTURER_SI', '1') || !parent::install() || !$this->registerHook('displayProductAdditionalInfo') || !$this->registerHook('header'))
				return false;
		}
		if (!Configuration::updateValue('EXTRAMANUFACTURER_MN', '1'))
			return false;
		if (!Configuration::updateValue('EXTRAMANUFACTURER_MI', '1'))
			return false;
		if (!Configuration::updateValue('EXTRAMANUFACTURER_SN', '1'))
			return false;
			if (!Configuration::updateValue('EXTRAMANUFACTURER_PH', '0'))
				return false;
				if (!Configuration::updateValue('EXTRAMANUFACTURER_AD', '0'))
					return false;
		if (!Configuration::updateValue('EXTRAMANUFACTURER_DBLOCK', '1'))
			return false;
		if (!Configuration::updateValue('EXTRAMANUFACTURER_SIZE', '90%'))
			return false;
            $imgtyp = ExtraManufacturer::getImages('manufacturers');
            $imagid = ExtraManufacturer::getImagesID($imgtyp[0]['id_image_type']);
            if (!Configuration::updateValue('EXTRAMANUFACTURER_IMAGE',$imagid[0]['id_image_type'])) {
                if (!Configuration::updateValue(
                    'EXTRAMANUFACTURER_IMAGE',
                    '1'
                )
                ) {
                    return false;
                }
            }
		return true;
	}

	public function postProcess()
	{
		$errors = '';
		if (Tools::isSubmit('submitExtraManufacturer'))
		{
			if ($si = Tools::getValue('si'))
				Configuration::updateValue('EXTRAMANUFACTURER_SI', $si);
			elseif (Shop::getContext() == Shop::CONTEXT_SHOP || Shop::getContext() == Shop::CONTEXT_GROUP)
				Configuration::deleteFromContext('EXTRAMANUFACTURER_SI');
				if ($ad = Tools::getValue('ad'))
					Configuration::updateValue('EXTRAMANUFACTURER_AD', $ad);
				elseif (Shop::getContext() == Shop::CONTEXT_SHOP || Shop::getContext() == Shop::CONTEXT_GROUP)
					Configuration::deleteFromContext('EXTRAMANUFACTURER_AD');
					if ($ph = Tools::getValue('ph'))
						Configuration::updateValue('EXTRAMANUFACTURER_PH', $ph);
					elseif (Shop::getContext() == Shop::CONTEXT_SHOP || Shop::getContext() == Shop::CONTEXT_GROUP)
						Configuration::deleteFromContext('EXTRAMANUFACTURER_PH');
			if ($mn = Tools::getValue('mn'))
				Configuration::updateValue('EXTRAMANUFACTURER_MN', $mn);
			elseif (Shop::getContext() == Shop::CONTEXT_SHOP || Shop::getContext() == Shop::CONTEXT_GROUP)
				Configuration::deleteFromContext('EXTRAMANUFACTURER_MN');
			if ($mi = Tools::getValue('mi'))
				Configuration::updateValue('EXTRAMANUFACTURER_MI', $mi);
			elseif (Shop::getContext() == Shop::CONTEXT_SHOP || Shop::getContext() == Shop::CONTEXT_GROUP)
				Configuration::deleteFromContext('EXTRAMANUFACTURER_MI');

			if ($sn = Tools::getValue('sn'))
				Configuration::updateValue('EXTRAMANUFACTURER_SN', $sn);
			elseif (Shop::getContext() == Shop::CONTEXT_SHOP || Shop::getContext() == Shop::CONTEXT_GROUP)
				Configuration::deleteFromContext('EXTRAMANUFACTURER_SN');

			if ($dblock = Tools::getValue('dblock'))
				Configuration::updateValue('EXTRAMANUFACTURER_DBLOCK', $dblock);
			elseif (Shop::getContext() == Shop::CONTEXT_SHOP || Shop::getContext() == Shop::CONTEXT_GROUP)
				Configuration::deleteFromContext('EXTRAMANUFACTURER_DBLOCK');

				if ($size = Tools::getValue('size'))
				Configuration::updateValue('EXTRAMANUFACTURER_SIZE', $size);
			elseif (Shop::getContext() == Shop::CONTEXT_SHOP || Shop::getContext() == Shop::CONTEXT_GROUP)
				Configuration::deleteFromContext('EXTRAMANUFACTURER_SIZE');
				if ($imagelo = Tools::getValue('imagelo'))
				Configuration::updateValue('EXTRAMANUFACTURER_IMAGE', $imagelo);
			elseif (Shop::getContext() == Shop::CONTEXT_SHOP || Shop::getContext() == Shop::CONTEXT_GROUP)
				Configuration::deleteFromContext('EXTRAMANUFACTURER_IMAGE');
			// Reset the module properties
			//	$this->initialize();

			if (!$errors)
				Tools::redirectAdmin(AdminController::$currentIndex.'&configure='.$this->name.'&token='.Tools::getAdminTokenLite('AdminModules').'&conf=6');
			echo $this->displayError($errors);
		}

	}

	public function getConfigFieldsValues()
	{
		return array(
			'si'     => Tools::getValue('si', Configuration::get('EXTRAMANUFACTURER_SI')),
			'ad'     => Tools::getValue('ad', Configuration::get('EXTRAMANUFACTURER_AD')),
			'ph'     => Tools::getValue('ph', Configuration::get('EXTRAMANUFACTURER_PH')),

			'mn'     => Tools::getValue('mn', Configuration::get('EXTRAMANUFACTURER_MN')),
			'mi'     => Tools::getValue('mi', Configuration::get('EXTRAMANUFACTURER_MI')),
			'sn'     => Tools::getValue('sn', Configuration::get('EXTRAMANUFACTURER_SN')),
			'imagelo'     => Tools::getValue('imagelo', Configuration::get('EXTRAMANUFACTURER_IMAGE')),
			'size'     => Tools::getValue('size', Configuration::get('EXTRAMANUFACTURER_SIZE')),
			'dblock' => Tools::getValue('dblock', Configuration::get('EXTRAMANUFACTURER_DBLOCK')),
		);
	}

	public function renderForm()
	{
		$this->postProcess();
 $imgtyp = ExtraManufacturer::getImages('manufacturers');
            $count = count($imgtyp);
            $count;
            $options7 = array();
            for ($i = 0; $i < $count; $i++) {
                $idimage = $imgtyp[$i]['name'];
                $idimaget = $imgtyp[$i]['id_image_type'];
                $options7[] = array(
                    'id_option' => $imgtyp[$i]['id_image_type'],
                    'name' => $imgtyp[$i]['name'],
                    'val' => '1'
                );

            }

		$options     = array(
			array(
				'id_option' => 1,
				// The value of the 'value' attribute of the <option> tag.
				'name'      => '1'
				// The value of the text content of the  <option> tag.
			),
			array(
				'id_option' => 2,
				'name'      => '2'
			),
			array(
				'id_option' => 3,
				'name'      => '3'
			),
		);
		$fields_form = array(
			'form' => array(
				'legend' => array(
					'title' => $this->l('Configuration'),
					'icon'  => 'icon-cogs'
				),
				'input'  => array(
					array(
						'type'   => 'switch',
						'label'  => $this->l('Display manufacturer name'),
						'name'   => 'mn',
						'values' => array(
							array(
								'id'    => 'on',
								'value' => 1
							),
							array(
								'id'    => 'off',
								'value' => 0
							)
						)
					),
					array(
						'type'   => 'switch',
						'label'  => $this->l('Display manufacturer image'),
						'name'   => 'mi',
						'values' => array(
							array(
								'id'    => 'on',
								'value' => 1
							),
							array(
								'id'    => 'off',
								'value' => 0
							)
						)
					),
					array(
						'type'   => 'switch',
						'label'  => $this->l('Display supplier name'),
						'name'   => 'sn',
						'values' => array(
							array(
								'id'    => 'on',
								'value' => 1
							),
							array(
								'id'    => 'off',
								'value' => 0
							)
						)
					),
					array(
						'type'   => 'switch',
						'label'  => $this->l('Display supplier image'),
						'name'   => 'si',
						'values' => array(
							array(
								'id'    => 'on',
								'value' => 1
							),
							array(
								'id'    => 'off',
								'value' => 0
							)
						)
					),
					array(
						'type'   => 'switch',
						'label'  => $this->l('Display phone'),
						'name'   => 'ph',
						'values' => array(
							array(
								'id'    => 'on',
								'value' => 1
							),
							array(
								'id'    => 'off',
								'value' => 0
							)
						)
					),
					array(
						'type'   => 'switch',
						'label'  => $this->l('Display address'),
						'name'   => 'ad',
						'values' => array(
							array(
								'id'    => 'on',
								'value' => 1
							),
							array(
								'id'    => 'off',
								'value' => 0
							)
						)
					),
					array(
						'type'   => 'switch',
						'label'  => $this->l('Display background block'),
						'name'   => 'dblock',
						'values' => array(
							array(
								'id'    => 'on',
								'value' => 1
							),
							array(
								'id'    => 'off',
								'value' => 0
							)
						)
					),
					array(
							'type'  => 'text',
							'label' => $this->l('Image size'),
							'name'  => 'size',
							'desc'  => $this->l('Image size like 100px or 50%'),

						),
						                        array(
                            'type' => 'select',
                            'label' => $this->l('Type of image'),
                            'name' => 'imagelo',
                            'options' => array(
                                'query' => $options7,
                                'id' => 'id_option',
                                'name' => 'name'
                            )
                        ),

				),
				'submit' => array(
					'title' => $this->l('Save'),
				)
			),
		);

		$helper                           = new HelperForm();
		$helper->show_toolbar             = false;
		$helper->table                    = $this->table;
		$lang                             = new Language((int)Configuration::get('PS_LANG_DEFAULT'));
		$helper->default_form_language    = $lang->id;
		$helper->allow_employee_form_lang = Configuration::get('PS_BO_ALLOW_EMPLOYEE_FORM_LANG') ? Configuration::get('PS_BO_ALLOW_EMPLOYEE_FORM_LANG') : 0;
		$this->fields_form                = array();
		$helper->identifier               = $this->identifier;
		$helper->submit_action            = 'submitExtraManufacturer';
		$helper->currentIndex             = $this->context->link->getAdminLink('AdminModules', false).'&configure='.$this->name.'&tab_module='.$this->tab.'&module_name='.$this->name;
		$helper->token                    = Tools::getAdminTokenLite('AdminModules');
		$helper->tpl_vars                 = array(
			'fields_value' => $this->getConfigFieldsValues(),
			'languages'    => $this->context->controller->getLanguages(),
			'id_language'  => $this->context->language->id
		);

		return $helper->generateForm(array($fields_form));
	}

	public function getContent()
	{
		$output = '';
		$errors = '';
		if (_PS_VERSION_ < '1.6.0.0')
		{
			$output = $output.'<h2>'.$this->displayName.'</h2>';
			if (Tools::isSubmit('submitExtraManufacturer'))
			{
				$mn     = Tools::getValue('mn');
				$ad    = Tools::getValue('ad');
				$ph    = Tools::getValue('ph');

				$mi     = Tools::getValue('mi');
				$sn     = Tools::getValue('sn');
				$si     = Tools::getValue('si');
				$size     = Tools::getValue('size');
				$dblock = Tools::getValue('dblock');
$imagelo = Tools::getValue('imagelo');
				Configuration::updateValue('EXTRAMANUFACTURER_MN', $mn);
				Configuration::updateValue('EXTRAMANUFACTURER_AD', $ad);
				Configuration::updateValue('EXTRAMANUFACTURER_PH', $ph);

				Configuration::updateValue('EXTRAMANUFACTURER_MI', $mi);
				Configuration::updateValue('EXTRAMANUFACTURER_SN', $sn);
				Configuration::updateValue('EXTRAMANUFACTURER_SI', $si);
				Configuration::updateValue('EXTRAMANUFACTURER_SIZE', $size);
				Configuration::updateValue('EXTRAMANUFACTURER_DBLOCK', $dblock);
Configuration::updateValue('EXTRAMANUFACTURER_IMAGE', $imagelo);

				if ($errors)
					$output .= $this->displayError(implode('<br />', $errors));
				else
					$output .= $this->displayConfirmation($this->l('Settings updated'));
			}

			return $output.$this->displayForm();
		}
		else
			return $this->postProcess().$this->_displayInfo().$this->renderForm().$this->_displayAdds();
	}

	private function _displayInfo()
	{
		return $this->display(__FILE__, 'views/templates/hook/infos.tpl');
	}

	private function _displayAdds()
	{
		return $this->display(__FILE__, 'views/templates/hook/adds.tpl');
	}

	public function displayForm()
	{
		  $imgtyp = ExtraManufacturer::getImages('manufacturers');
            $var = '';
            $count = count($imgtyp);
            $count;
            for ($i = 0; $i < $count; $i++) {
                $idimage = $imgtyp[$i]['name'];
                $idimaget = $imgtyp[$i]['id_image_type'];

                $var .= '<option value="'.$idimaget.'"'.((Configuration::get('LAST_ORDERS_IMAGE') == $idimaget) ?
                'selected="selected"' : '').'>
				'.$idimage.'</option>';


            }
		$output  = '
		<form action="'.$_SERVER['REQUEST_URI'].'" method="post">
			<fieldset><legend><img src="'.$this->_path.'logo.png" alt="" title="" />'.$this->l('Settings').'</legend>
						<label>'.$this->l('Display manufacturer name').'</label>
				<div class="margin-form">
					   <select name="mn" id="mn">
			<option value="0"'.((Configuration::get('EXTRAMANUFACTURER_MN') == '0') ? 'selected="selected"' : '').'>no</option>
			<option value="1"'.((Configuration::get('EXTRAMANUFACTURER_MN') == '1') ? 'selected="selected"' : '').'>yes</option>


					</select>




		</div>
									<label>'.$this->l('Display manufacturer image').'</label>
				<div class="margin-form">
					   <select name="mi" id="select">
			<option value="0"'.((Configuration::get('EXTRAMANUFACTURER_MI') == '0') ? 'selected="selected"' : '').'>no</option>
			<option value="1"'.((Configuration::get('EXTRAMANUFACTURER_MI') == '1') ? 'selected="selected"' : '').'>yes</option>


					</select>

		</div>


											<label>'.$this->l('Display supplier name').'</label>
				<div class="margin-form">
					   <select name="sn" id="select">
			<option value="0"'.((Configuration::get('EXTRAMANUFACTURER_SN') == '0') ? 'selected="selected"' : '').'>no</option>
			<option value="1"'.((Configuration::get('EXTRAMANUFACTURER_SN') == '1') ? 'selected="selected"' : '').'>yes</option>


					</select>

		</div>

						<label>'.$this->l('Display supplier image').'</label>
				<div class="margin-form">
					   <select name="si" id="select">
			<option value="0"'.((Configuration::get('EXTRAMANUFACTURER_SI') == '0') ? 'selected="selected"' : '').'>no</option>
			<option value="1"'.((Configuration::get('EXTRAMANUFACTURER_SI') == '1') ? 'selected="selected"' : '').'>yes</option>


					</select>

		</div>
		<label>'.$this->l('Display phone').'</label>
<div class="margin-form">
		 <select name="ph" id="ph">
<option value="0"'.((Configuration::get('EXTRAMANUFACTURER_PH') == '0') ? 'selected="selected"' : '').'>no</option>
<option value="1"'.((Configuration::get('EXTRAMANUFACTURER_PH') == '1') ? 'selected="selected"' : '').'>yes</option>
	</select>
</div>

<label>'.$this->l('Display address').'</label>
<div class="margin-form">
 <select name="ad" id="ad">
<option value="0"'.((Configuration::get('EXTRAMANUFACTURER_AD') == '0') ? 'selected="selected"' : '').'>no</option>
<option value="1"'.((Configuration::get('EXTRAMANUFACTURER_AD') == '1') ? 'selected="selected"' : '').'>yes</option>
</select>
</div>
			<label>'.$this->l('Display background block').'</label>
				<div class="margin-form">
					   <select name="dblock" id="select">
			<option value="0"'.((Configuration::get('EXTRAMANUFACTURER_DBLOCK') == '0') ? 'selected="selected"' : '').'>no</option>
			<option value="1"'.((Configuration::get('EXTRAMANUFACTURER_DBLOCK') == '1') ? 'selected="selected"' : '').'>yes</option>


					</select>

		</div>
   <label>'.$this->l('Image size').'</label>
                            <div class="margin-form">
                            <input type="text" size="5" name="size" value="'.Tools::getValue('size', Configuration::get('EXTRAMANUFACTURER_SIZE')).'" />
                            <p class="clear">'.$this->l('Size of the image like 100px or 50%').'</p>
                            </div>
							  <label>'.$this->l('Image type').'</label>
                            <div class="margin-form">
                            <select name="imagelo" id="imagelo">
'.$var.'
                            </select>
                                <p class="clear">'.$this->l('The image type').'</p>
                            </div>
				<center><input type="submit" name="submitExtraManufacturer" value="'.$this->l('Save').'" class="button" /></center>
							 <center>  <p> '.$this->l('You can transplant th module to another hooks from modules->positions. Remember to regenerate the images for manufacturers/suppliers if you don´t see the images').'</p></center>
									<center><a href="../modules/extramanufacturer/moduleinstall.pdf">README</a></center><br/>
						<center><a href="../modules/extramanufacturer/termsandconditions.pdf">TERMS</a></center><br/>
									 <center>  <p>Follow  us:</p></center>


     <center><p><a href="https://www.facebook.com/ShackerRSI" target="_blank"><img src="'.$this->_path.'views/img/facebook.png" style="  width: 64px;margin: 5px;" /></a>
        <a href="https://twitter.com/prestashop_rsi" target="_blank"><img src="'.$this->_path.'views/img/twitter.png" style="  width: 64px;margin: 5px;" /></a>
         <a href="https://www.pinterest.com/prestashoprsi/" target="_blank"><img src="'.$this->_path.'views/img/pinterest.png" style="  width: 64px;margin: 5px;" /></a>
           <a href="https://plus.google.com/+shacker6/posts" target="_blank"><img src="'.$this->_path.'views/img/googleplus.png" style="  width: 64px;margin: 5px;" /></a>
            <a href="https://www.linkedin.com/profile/view?id=92841578" target="_blank"><img src="'.$this->_path.'views/img/linkedin.png" style="  width: 64px;margin: 5px;" /></a>
               <a href="https://www.youtube.com/channel/UCBFSNtJpjYj4zLX9nO_oZkg" target="_blank"><img src="'.$this->_path.'views/img/youtube.png" style="  width: 64px;margin: 5px;" /></a>
            </p></center>
			<br/>
						<center><a href="http://www.prestashop.com/forums/topic/61706-module-extra-manufacturer-manufacturer-and-supplier-in-product-page-v22-ps-1216/page-4#entry1900131" target="_blank">Support</a></center><br/>
<center><a href="http://www.prestashop.com/forums/topic/61709-m%C3%B3dulo-extra-manufacturers-v22-compatible-ps-12-16/page-4?hl=%2Bextra+%2Bmanufacturer#entry1028083" target="_blank">Soporte</a></center><br/>
<center><a href="http://www.prestashop.com/forums/topic/61709-m%C3%B3dulo-extra-manufacturers-v22-compatible-ps-12-16/page-4?hl=%2Bextra+%2Bmanufacturer#entry1028083" target="_blank">Soporte</a></center><br/>
						<object type="text/html" data="http://catalogo-onlinersi.net/modules/productsanywhere/images.php?idproduct=&desc=yes&buy=yes&type=home_default&price=yes&style=false&color=10&color2=40&bg=ffffff&width=800&height=310&lc=000000&speed=5&qty=15&skip=29,14,42,44,45&sort=1" width="800" height="310" style="border:0px #066 solid;"></object><br/>

Video:<br/>
<iframe width="560" height="315" src="https://www.youtube.com/embed/eXdt8eWlHiw" frameborder="0" allowfullscreen></iframe>
			</fieldset>
		</form>

		<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
			<fieldset><legend><img src="'.$this->_path.'logo.png" alt="" title="" />'.$this->l('Contribute').'</legend>
				<p class="clear">'.$this->l('You can contribute with a donation if our free modules and themes are usefull for you. Clic on the link and support us!').'</p>
				<p class="clear">'.$this->l('For more modules & themes visit: www.catalogo-onlinersi.net').'</p>
<input type="hidden" name="cmd" value="_s-xclick">
<input type="hidden" name="hosted_button_id" value="HMBZNQAHN9UMJ">
<input type="image" src="https://www.paypalobjects.com/WEBSCR-640-20110401-1/en_US/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
<img alt="" border="0" src="https://www.paypalobjects.com/WEBSCR-640-20110401-1/en_US/i/scr/pixel.gif" width="1" height="1">
	</fieldset>
</form>
';
		$output2 = '';
		return $output2.$output;

	}

	public function hookProductActions($params)
	{
		$mn     = Configuration::get('EXTRAMANUFACTURER_MN');
		$mi     = Configuration::get('EXTRAMANUFACTURER_MI');
		$sn     = Configuration::get('EXTRAMANUFACTURER_SN');
		$ad         = Configuration::get('EXTRAMANUFACTURER_AD');
		$ph         = Configuration::get('EXTRAMANUFACTURER_PH');
		$si     = Configuration::get('EXTRAMANUFACTURER_SI');
		$size     = Configuration::get('EXTRAMANUFACTURER_SIZE');
		$dblock = Configuration::get('EXTRAMANUFACTURER_DBLOCK');
		 $imageh = Configuration::get('EXTRAMANUFACTURER_IMAGE');
		$sa = $this->getImagesID($imageh);
        $imaglo = $sa[0]['name'];
		if (_PS_VERSION_ > '1.6.0.0')
		{
			$id_product = Tools::getValue('id_product');
			$product2   = new Product($id_product, true, (int)($this->context->language->id));
		}
		else
		{
			$id_product = Tools::getValue('id_product');
			$product2   = new Product($id_product, true, (int)($this->context->language->id));
		}


		if (_PS_VERSION_ < '1.5.0.0')
		{
			$lrewm = Tools::link_rewrite($product2->manufacturer_name, false);
			$lrews = Tools::link_rewrite($product2->supplier_name, false);
		}
		else
		{
			$lrewm = Tools::link_rewrite($product2->manufacturer_name);
			$lrews = Tools::link_rewrite($product2->supplier_name);
		}
		$add = Db::getInstance()->getRow('
	SELECT a.*, cl.name AS `country`, s.name AS `state`
	FROM `'._DB_PREFIX_.'address` AS a
	LEFT JOIN `'._DB_PREFIX_.'country_lang` AS cl ON (
		cl.`id_country` = a.`id_country`
		AND cl.`id_lang` = '. (int)($this->context->language->id).'
	)
	LEFT JOIN `'._DB_PREFIX_.'state` AS s ON (s.`id_state` = a.`id_state`)
	WHERE `id_manufacturer` = '.$product2->id_manufacturer.'
	AND a.`deleted` = 0'
		);
		$add2 = Db::getInstance()->getRow('
	SELECT a.*, cl.name AS `country`, s.name AS `state`
	FROM `'._DB_PREFIX_.'address` AS a
	LEFT JOIN `'._DB_PREFIX_.'country_lang` AS cl ON (
		cl.`id_country` = a.`id_country`
		AND cl.`id_lang` = '. (int)($this->context->language->id).'
	)
	LEFT JOIN `'._DB_PREFIX_.'state` AS s ON (s.`id_state` = a.`id_state`)
	WHERE `id_supplier` = '.$product2->id_supplier.'
	AND a.`deleted` = 0'
		);
		$this->context->smarty->assign(array(
			'mn'        => $mn,
			'mi'        => $mi,
			'sn'        => $sn,
			'ad'        => $ad,
			'ph'        => $ph,
			'add'        => $add,
			'add2'        => $add2,
			'idp'       => $id_product,
			'si'        => $si,
			'emsize'        => $size,
			'imaglo'        => $imaglo,
			'lrews'     => $lrews,
			'lrewm'     => $lrewm,
			'psversion' => _PS_VERSION_,
			'dblock'    => $dblock,
			'product2'  => $product2


		));

		return $this->display(__FILE__, 'views/templates/front/extramanufacturer.tpl');
	}

	public function getManufacturers($id_product)
	{
		if (_PS_VERSION_ > '1.4.0.0')
		{

			$sql = 'SELECT p.*, product_shop.*, pl.* , m.`name` AS manufacturer_name, s.`name` AS supplier_name, m.`id_manufacturer`, s.`id_supplier`
				FROM `'._DB_PREFIX_.'product` p
				'.Shop::addSqlAssociation('product', 'p').'
				LEFT JOIN `'._DB_PREFIX_.'product_lang` pl ON (p.`id_product` = pl.`id_product` '.Shop::addSqlRestrictionOnLang('pl').')
				LEFT JOIN `'._DB_PREFIX_.'manufacturer` m ON (m.`id_manufacturer` = p.`id_manufacturer`)
				LEFT JOIN `'._DB_PREFIX_.'supplier` s ON (s.`id_supplier` = p.`id_supplier`)
				WHERE p.`id_product` = '.$id_product;

		}
		else
		{
			$sql = 'SELECT p.*,  pl.* , m.`name` AS manufacturer_name, s.`name` AS supplier_name, m.`id_manufacturer`, s.`id_supplier`
				FROM `'._DB_PREFIX_.'product` p
				LEFT JOIN `'._DB_PREFIX_.'product_lang` pl ON (p.`id_product` = pl.`id_product` '.Shop::addSqlRestrictionOnLang('pl').')
				LEFT JOIN `'._DB_PREFIX_.'manufacturer` m ON (m.`id_manufacturer` = p.`id_manufacturer`)
				LEFT JOIN `'._DB_PREFIX_.'supplier` s ON (s.`id_supplier` = p.`id_supplier`)
				WHERE p.`id_product` = '.$id_product;
		}
		return Db::getInstance()->ExecuteS($sql);
	}

	public function hookextraRight($params)
	{
		$mn         = Configuration::get('EXTRAMANUFACTURER_MN');
		$mi         = Configuration::get('EXTRAMANUFACTURER_MI');
		$ad         = Configuration::get('EXTRAMANUFACTURER_AD');
		$ph         = Configuration::get('EXTRAMANUFACTURER_PH');
		$sn         = Configuration::get('EXTRAMANUFACTURER_SN');
		$si         = Configuration::get('EXTRAMANUFACTURER_SI');
		$size         = Configuration::get('EXTRAMANUFACTURER_SIZE');
		$dblock     = Configuration::get('EXTRAMANUFACTURER_DBLOCK');
		 $imageh = Configuration::get('EXTRAMANUFACTURER_IMAGE');
		$sa = $this->getImagesID($imageh);
        $imaglo = $sa[0]['name'];
		$id_product = (int)(Tools::getValue('id_product'));
		$product2   = new Product($id_product, true, (int)($this->context->language->id));

		if (_PS_VERSION_ < '1.5.0.0')
		{
			$lrewm = Tools::link_rewrite($product2->manufacturer_name, false);
			$lrews = Tools::link_rewrite($product2->supplier_name, false);
		}
		else
		{
			$lrewm = Tools::link_rewrite($product2->manufacturer_name);
			$lrews = Tools::link_rewrite($product2->supplier_name);
		}

		$add = Db::getInstance()->getRow('
	SELECT a.*, cl.name AS `country`, s.name AS `state`
	FROM `'._DB_PREFIX_.'address` AS a
	LEFT JOIN `'._DB_PREFIX_.'country_lang` AS cl ON (
		cl.`id_country` = a.`id_country`
		AND cl.`id_lang` = '. (int)($this->context->language->id).'
	)
	LEFT JOIN `'._DB_PREFIX_.'state` AS s ON (s.`id_state` = a.`id_state`)
	WHERE `id_manufacturer` = '.$product2->id_manufacturer.'
	AND a.`deleted` = 0'
		);
		$add2 = Db::getInstance()->getRow('
	SELECT a.*, cl.name AS `country`, s.name AS `state`
	FROM `'._DB_PREFIX_.'address` AS a
	LEFT JOIN `'._DB_PREFIX_.'country_lang` AS cl ON (
		cl.`id_country` = a.`id_country`
		AND cl.`id_lang` = '. (int)($this->context->language->id).'
	)
	LEFT JOIN `'._DB_PREFIX_.'state` AS s ON (s.`id_state` = a.`id_state`)
	WHERE `id_supplier` = '.$product2->id_supplier.'
	AND a.`deleted` = 0'
		);
		$this->context->smarty->assign(array(
			'mn'        => $mn,
			'mi'        => $mi,
			'ad'        => $ad,
			'ph'        => $ph,
			'add'        => $add,
			'add2'        => $add2,
			'sn'        => $sn,
			'si'        => $si,
			'emsize'        => $size,
			  'imaglo' => $imaglo,
			'lrews'     => $lrews,
			'psversion' => _PS_VERSION_,
			'lrewm'     => $lrewm,
			'dblock'    => $dblock,
			'product2'  => $product2


		));

		return $this->display(__FILE__, 'views/templates/front/extramanufacturer.tpl');
	}
public function hookdisplayProductAdditionalInfo($params){
	$mn         = Configuration::get('EXTRAMANUFACTURER_MN');
	$ad         = Configuration::get('EXTRAMANUFACTURER_AD');
	$ph         = Configuration::get('EXTRAMANUFACTURER_PH');
	$mi         = Configuration::get('EXTRAMANUFACTURER_MI');
	$sn         = Configuration::get('EXTRAMANUFACTURER_SN');
	$si         = Configuration::get('EXTRAMANUFACTURER_SI');
	$size         = Configuration::get('EXTRAMANUFACTURER_SIZE');
	$dblock     = Configuration::get('EXTRAMANUFACTURER_DBLOCK');
	$id_product = (int)(Tools::getValue('id_product'));
	$product2   = new Product($id_product, true, (int)($this->context->language->id));
$imageh = Configuration::get('EXTRAMANUFACTURER_IMAGE');
	$sa = $this->getImagesID($imageh);
			$imaglo = $sa[0]['name'];

	if (_PS_VERSION_ > '1.6.0.0')
	{
		$lrewm = Tools::link_rewrite($product2->manufacturer_name);
		$lrews = Tools::link_rewrite($product2->supplier_name);
	}
	else
	{
		$lrewm = Tools::link_rewrite($product2->manufacturer_name, false);
		$lrews = Tools::link_rewrite($product2->supplier_name, false);
	}
	$add = Db::getInstance()->getRow('
SELECT a.*, cl.name AS `country`, s.name AS `state`
FROM `'._DB_PREFIX_.'address` AS a
LEFT JOIN `'._DB_PREFIX_.'country_lang` AS cl ON (
	cl.`id_country` = a.`id_country`
	AND cl.`id_lang` = '. (int)($this->context->language->id).'
)
LEFT JOIN `'._DB_PREFIX_.'state` AS s ON (s.`id_state` = a.`id_state`)
WHERE `id_manufacturer` = '.$product2->id_manufacturer.'
AND a.`deleted` = 0'
	);
	$add2 = Db::getInstance()->getRow('
SELECT a.*, cl.name AS `country`, s.name AS `state`
FROM `'._DB_PREFIX_.'address` AS a
LEFT JOIN `'._DB_PREFIX_.'country_lang` AS cl ON (
	cl.`id_country` = a.`id_country`
	AND cl.`id_lang` = '. (int)($this->context->language->id).'
)
LEFT JOIN `'._DB_PREFIX_.'state` AS s ON (s.`id_state` = a.`id_state`)
WHERE `id_supplier` = '.$product2->id_supplier.'
AND a.`deleted` = 0'
	);

	$this->context->smarty->assign(array(
		'mn'        => $mn,
		'mi'        => $mi,
			'ad'        => $ad,
			'ph'        => $ph,
		'sn'        => $sn,
		'si'        => $si,
		'add'        => $add,
		'add2'        => $add2,
		'psversion' => _PS_VERSION_,
		'lrews'     => $lrews,
		'emsize'        => $size,
			'imaglo' => $imaglo,
		'lrewm'     => $lrewm,
		'dblock'    => $dblock,
		'product2'  => $product2


	));
if (_PS_VERSION_ < "1.7.0.0"){
	return $this->display(__FILE__, 'views/templates/front/extramanufacturer.tpl');
}else{
	return $this->display(__FILE__, 'views/templates/front/extramanufacturer17.tpl');
}

}
	public function hookdisplayLeftColumnProduct($params)
	{
		$mn         = Configuration::get('EXTRAMANUFACTURER_MN');
		$mi         = Configuration::get('EXTRAMANUFACTURER_MI');
	$ad         = Configuration::get('EXTRAMANUFACTURER_AD');
	$ph         = Configuration::get('EXTRAMANUFACTURER_PH');
		$sn         = Configuration::get('EXTRAMANUFACTURER_SN');
		$si         = Configuration::get('EXTRAMANUFACTURER_SI');
		$size         = Configuration::get('EXTRAMANUFACTURER_SIZE');
		$dblock     = Configuration::get('EXTRAMANUFACTURER_DBLOCK');
		$id_product = (int)(Tools::getValue('id_product'));
		$product2   = new Product($id_product, true, (int)($this->context->language->id));
 $imageh = Configuration::get('EXTRAMANUFACTURER_IMAGE');
		$sa = $this->getImagesID($imageh);
        $imaglo = $sa[0]['name'];

		if (_PS_VERSION_ > '1.6.0.0')
		{
			$lrewm = Tools::link_rewrite($product2->manufacturer_name);
			$lrews = Tools::link_rewrite($product2->supplier_name);
		}
		else
		{
			$lrewm = Tools::link_rewrite($product2->manufacturer_name, false);
			$lrews = Tools::link_rewrite($product2->supplier_name, false);
		}
		$add = Db::getInstance()->getRow('
	SELECT a.*, cl.name AS `country`, s.name AS `state`
	FROM `'._DB_PREFIX_.'address` AS a
	LEFT JOIN `'._DB_PREFIX_.'country_lang` AS cl ON (
		cl.`id_country` = a.`id_country`
		AND cl.`id_lang` = '. (int)($this->context->language->id).'
	)
	LEFT JOIN `'._DB_PREFIX_.'state` AS s ON (s.`id_state` = a.`id_state`)
	WHERE `id_manufacturer` = '.$product2->id_manufacturer.'
	AND a.`deleted` = 0'
		);
		$add2 = Db::getInstance()->getRow('
	SELECT a.*, cl.name AS `country`, s.name AS `state`
	FROM `'._DB_PREFIX_.'address` AS a
	LEFT JOIN `'._DB_PREFIX_.'country_lang` AS cl ON (
		cl.`id_country` = a.`id_country`
		AND cl.`id_lang` = '. (int)($this->context->language->id).'
	)
	LEFT JOIN `'._DB_PREFIX_.'state` AS s ON (s.`id_state` = a.`id_state`)
	WHERE `id_supplier` = '.$product2->id_supplier.'
	AND a.`deleted` = 0'
		);

		$this->context->smarty->assign(array(
			'mn'        => $mn,
			'mi'        => $mi,
			'ad'        => $ad,
			'ph'        => $ph,

			'sn'        => $sn,
			'si'        => $si,
			'add'        => $add,
			'add2'        => $add2,
			'psversion' => _PS_VERSION_,
			'lrews'     => $lrews,
			'emsize'        => $size,
			  'imaglo' => $imaglo,
			'lrewm'     => $lrewm,
			'dblock'    => $dblock,
			'product2'  => $product2


		));

		if (_PS_VERSION_ < "1.7.0.0"){
			return $this->display(__FILE__, 'views/templates/front/extramanufacturer.tpl');
		}else{
			return $this->display(__FILE__, 'views/templates/front/extramanufacturer17.tpl');
		}	}

	public function hookextraLeft($params)
	{
		$mn         = Configuration::get('EXTRAMANUFACTURER_MN');
		$mi         = Configuration::get('EXTRAMANUFACTURER_MI');
	$ad         = Configuration::get('EXTRAMANUFACTURER_AD');
	$ph         = Configuration::get('EXTRAMANUFACTURER_PH');
		$sn         = Configuration::get('EXTRAMANUFACTURER_SN');
		$si         = Configuration::get('EXTRAMANUFACTURER_SI');
		$size         = Configuration::get('EXTRAMANUFACTURER_SIZE');
		$dblock     = Configuration::get('EXTRAMANUFACTURER_DBLOCK');
        $imageh = Configuration::get('EXTRAMANUFACTURER_IMAGE');
		$sa = $this->getImagesID($imageh);
        $imaglo = $sa[0]['name'];
		$id_product = (int)(Tools::getValue('id_product'));
		$product2   = new Product($id_product, true, (int)$this->context->language->id);

		if (_PS_VERSION_ > '1.6.0.0')
		{
			$lrewm = Tools::link_rewrite($product2->manufacturer_name);
			$lrews = Tools::link_rewrite($product2->supplier_name);
		}
		else
		{
			$lrewm = Tools::link_rewrite($product2->manufacturer_name, false);
			$lrews = Tools::link_rewrite($product2->supplier_name, false);
		}
		$add = Db::getInstance()->getRow('
	SELECT a.*, cl.name AS `country`, s.name AS `state`
	FROM `'._DB_PREFIX_.'address` AS a
	LEFT JOIN `'._DB_PREFIX_.'country_lang` AS cl ON (
		cl.`id_country` = a.`id_country`
		AND cl.`id_lang` = '. (int)($this->context->language->id).'
	)
	LEFT JOIN `'._DB_PREFIX_.'state` AS s ON (s.`id_state` = a.`id_state`)
	WHERE `id_manufacturer` = '.$product2->id_manufacturer.'
	AND a.`deleted` = 0'
		);
		$add2 = Db::getInstance()->getRow('
	SELECT a.*, cl.name AS `country`, s.name AS `state`
	FROM `'._DB_PREFIX_.'address` AS a
	LEFT JOIN `'._DB_PREFIX_.'country_lang` AS cl ON (
		cl.`id_country` = a.`id_country`
		AND cl.`id_lang` = '. (int)($this->context->language->id).'
	)
	LEFT JOIN `'._DB_PREFIX_.'state` AS s ON (s.`id_state` = a.`id_state`)
	WHERE `id_supplier` = '.$product2->id_supplier.'
	AND a.`deleted` = 0'
		);
		$this->context->smarty->assign(array(
			'mn'        => $mn,
			'mi'        => $mi,
			'sn'        => $sn,
			'si'        => $si,
			'ad'        => $ad,
			'ph'        => $ph,
			'add'        => $add,
			'add2'        => $add2,
			'emsize'        => $size,
			'lrews'     => $lrews,
			  'imaglo' => $imaglo,
			'lrewm'     => $lrewm,
			'dblock'    => $dblock,
			'psversion' => _PS_VERSION_,
			'product2'  => $product2


		));

		if (_PS_VERSION_ < "1.7.0.0"){
			return $this->display(__FILE__, 'views/templates/front/extramanufacturer.tpl');
		}else{
			return $this->display(__FILE__, 'views/templates/front/extramanufacturer17.tpl');
		}	}

	public function hookHeader($params)
	{
		if (_PS_VERSION_ > '1.4.0.0' && _PS_VERSION_ < '1.5.0.0')
		{

			Tools::addCSS(($this->_path).'views/css/style.css', 'all');
		}
		if (_PS_VERSION_ > '1.5.0.0')
		{
			$this->context->controller->addCSS(($this->_path).'views/css/style.css', 'all');

		}
		if (_PS_VERSION_ < '1.4.0.0')
		{

			return $this->display(__FILE__, 'views/templates/front/extramanufacturer-header.tpl');
		}
		$this->context->smarty->assign(array(

			'psversion' => _PS_VERSION_

		));
	}
        public function getImages($type)
        {
            $sql = '
        SELECT *
        FROM '._DB_PREFIX_.'image_type it
        WHERE it.'.(string)$type.' = 1';
            return Db::getInstance()
                     ->ExecuteS($sql);
        }

        public function getImagesID($id)
        {
            $sql = '
        SELECT *
        FROM '._DB_PREFIX_.'image_type it
        WHERE it.id_image_type = '.(int)$id.' LIMIT 1';
            return Db::getInstance()
                     ->ExecuteS($sql);
        }

}

?>
